gdcm::ImageToImageFilter Class Reference

ImageToImageFilter class. More...

`#include <gdcmImageToImageFilter.h>`

Inheritance diagram for gdcm::ImageToImageFilter:
[legend]
Collaboration diagram for gdcm::ImageToImageFilter:
[legend]

## Public Member Functions

| ImageToImageFilter ()
| ~ImageToImageFilter ()=default
Image & | GetInput ()
const Image & | GetOutput () const
| Get Output image.
Public Member Functions inherited from gdcm::PixmapToPixmapFilter
| PixmapToPixmapFilter ()
| ~PixmapToPixmapFilter ()=default
Pixmap & | GetInput ()
const Pixmap & | GetOutput () const
| Get Output image.
const Pixmap & | GetOutputAsPixmap () const
Public Member Functions inherited from gdcm::BitmapToBitmapFilter
| BitmapToBitmapFilter ()
| ~BitmapToBitmapFilter ()=default
const Bitmap & | GetOutput () const
| Get Output image.
const Bitmap & | GetOutputAsBitmap () const
void | SetInput (const Bitmap &image)
| Set input image.

## Additional Inherited Members

Protected Attributes inherited from gdcm::BitmapToBitmapFilter
SmartPointer< Bitmap > | Input
SmartPointer< Bitmap > | Output

## Detailed Description

ImageToImageFilter class.

Super class for all filter taking an image and producing an output image

## Constructor & Destructor Documentation

## ImageToImageFilter()

gdcm::ImageToImageFilter::ImageToImageFilter | ( |  | ) |

## ~ImageToImageFilter()

gdcm::ImageToImageFilter::~ImageToImageFilter | ( |  | ) |

default

## Member Function Documentation

## GetInput()

Image & gdcm::ImageToImageFilter::GetInput | ( |  | ) |

## GetOutput()

const Image & gdcm::ImageToImageFilter::GetOutput | ( |  | ) | const

Get Output image.

Examples
  BasicImageAnonymizer.cs, CompressImage.cxx, and CompressLossyJPEG.cs.

The documentation for this class was generated from the following file:

- gdcmImageToImageFilter.h